# Resource

class Resource implements ModelObject

Description of Resource

## Methods

getInterHash()

No description

getIntraHash()

No description

setInterHash($interHash)

No description

setIntraHash($intraHash)

No description

__toString()

No description

string
getTitle()

No description

void
setTitle(string $title)

No description

integer
compare(Resource $b, string $sortingValue)

No description

## Details

###
at line 55
`getInterHash()`

###
at line 59
`getIntraHash()`

###
at line 63
`setInterHash($interHash)`

#### Parameters

| $interHash |

###
at line 67
`setIntraHash($intraHash)`

#### Parameters

| $intraHash |

###
at line 71
`__toString()`

###
at line 83
`abstract string getTitle()`

#### Return Value

string |

###
at line 90
`abstract void setTitle(string $title)`

#### Parameters

string | $title |

#### Return Value

void |

###
at line 98
`abstract integer compare(Resource $b, string $sortingValue)`

#### Parameters

Resource | $b |
string | $sortingValue |

#### Return Value

integer |